Package org.eclipse.cdt.core.dom.ast.tag

# Interface ITag

All Known Subinterfaces:
  `IWritableTag`

public interface ITag
Tags are used to annotate `ITagReader`'s with extra information. They are created by implementations of `IBindingTagger` which are contributed using the org.eclipse.cdt.core.tagger extension point. The base tag interface is read-only, it is extended by the writable `IWritableTag`.

Since:
  5.5
See Also:
  - `IBindingTagger`
  - `ITagReader`
  - `IWritableTag`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FAIL`
A constant that is returned to indicate a read failure.

## Method Summary

Modifier and Type
Method
Description
`int`
`getByte(int offset)`
Returns the byte from the specified offset or `FAIL` on failure.
`byte[]`
`getBytes(int offset, int len)`
Returns the specified number of bytes from the specified offset.
`int`
`getDataLen()`
Returns the number of bytes in the tag's data payload.
`String`
`getTaggerId()`
Returns the globally unique id of the tagger that created the receiver.

## Field Details

### FAIL

static final int FAIL
A constant that is returned to indicate a read failure.

See Also:
  - Constant Field Values

## Method Details

### getDataLen

int getDataLen()
Returns the number of bytes in the tag's data payload.

### getTaggerId

String getTaggerId()
Returns the globally unique id of the tagger that created the receiver.

### getByte

int getByte(int offset)
Returns the byte from the specified offset or `FAIL` on failure.

### getBytes

byte[] getBytes(int offset, int len)
Returns the specified number of bytes from the specified offset. Specify `len` of -1 to read all bytes from the specified offset to the end of the payload. Returns null if the given range is not valid. This would be expected if the version of the contributor has changed in a way that changes the structure of the data that it stores. Contributors must be able to deal with that case.